Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.Excel2PDFSettingData Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | Excel2PDFSettingData ()
| Constructor. More...
def | Set (include_doc_props, quality, ignore_print_area, scale_type, convert_to_pdfa)
| Set value. More...

## Static Public Attributes
| convert_to_pdfa = _fsdk.Excel2PDFSettingData_convert_to_pdfa
| (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false. More...
| disable_vba_code = _fsdk.Excel2PDFSettingData_disable_vba_code
| A boolean value decide whether to disable the execution of vba code in the Excel document. More...
| e_ConvertQualityMinimum = _fsdk.Excel2PDFSettingData_e_ConvertQualityMinimum
| Minimum quality.
| e_ConvertQualityStandard = _fsdk.Excel2PDFSettingData_e_ConvertQualityStandard
| Standard quality.
| e_ScaleTypeFitAllColumns = _fsdk.Excel2PDFSettingData_e_ScaleTypeFitAllColumns
| Fit all columns of one sheet on one page.
| e_ScaleTypeFitAllRows = _fsdk.Excel2PDFSettingData_e_ScaleTypeFitAllRows
| Fit all rows of one sheet on one page.
| e_ScaleTypeFitSheet = _fsdk.Excel2PDFSettingData_e_ScaleTypeFitSheet
| Fit a sheet on one page.
| e_ScaleTypeNone = _fsdk.Excel2PDFSettingData_e_ScaleTypeNone
| No scaling.
| ignore_print_area = _fsdk.Excel2PDFSettingData_ignore_print_area
| A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file. More...
| include_doc_props = _fsdk.Excel2PDFSettingData_include_doc_props
| A boolean value which indicates whether to include Excel document properties in the converted PDF document. More...
| quality = _fsdk.Excel2PDFSettingData_quality
| Quality for covnerting Excel to PDF. Please refer to values starting from FoxitPDFSDKPython2.Excel2PDFSettingData.e_ConvertQualityStandard and this should be one of these values.
| scale_type = _fsdk.Excel2PDFSettingData_scale_type
| Scale type for the Excel sheet when converting Excel document to PDF file. Please refer to values starting from FoxitPDFSDKPython2.Excel2PDFSettingData.e_ScaleTypeNone and this should be one of these values.

## Detailed Description

This class represents setting data used for converting Excel to PDF.

## Constructor & Destructor Documentation

## ◆ Excel2PDFSettingData()

def FoxitPDFSDKPython2.Excel2PDFSettingData.Excel2PDFSettingData | ( |  | ) |

Constructor.

Constructor, with parameters.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Excel document properties in the converted PDF document.
  [in] | quality | Quality for covnerting Excel to PDF. Please refer to values starting from FoxitPDFSDKPython2.Excel2PDFSettingData.e_ConvertQualityStandard and this should be one of these values.
  [in] | ignore_print_area | A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.
  [in] | scale_type | Scale type for the Excel sheet when converting Excel document to PDF file. Please refer to values starting from FoxitPDFSDKPython2.Excel2PDFSettingData.e_ScaleTypeNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the Excel document.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.Excel2PDFSettingData.Set | ( |  | include_doc_props,
|  |  | quality,
|  |  | ignore_print_area,
|  |  | scale_type,
|  |  | convert_to_pdfa
| ) |  |

Set value.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Excel document properties in the converted PDF document.
  [in] | quality | Quality for covnerting Excel to PDF. Please refer to values starting from FoxitPDFSDKPython2.Excel2PDFSettingData.e_ConvertQualityStandard and this should be one of these values.
  [in] | ignore_print_area | A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.
  [in] | scale_type | Scale type for the Excel sheet when converting Excel document to PDF file. Please refer to values starting from FoxitPDFSDKPython2.Excel2PDFSettingData.e_ScaleTypeNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.

Returns
  None.

## Member Data Documentation

## ◆ convert_to_pdfa

FoxitPDFSDKPython2.Excel2PDFSettingData.convert_to_pdfa = _fsdk.Excel2PDFSettingData_convert_to_pdfa
| static

(Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.

true means to convert Excel document to a PDF/A file.
false means to convert Excel document to a common file.

## ◆ disable_vba_code

FoxitPDFSDKPython2.Excel2PDFSettingData.disable_vba_code = _fsdk.Excel2PDFSettingData_disable_vba_code
| static

A boolean value decide whether to disable the execution of vba code in the Excel document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

## ◆ ignore_print_area

FoxitPDFSDKPython2.Excel2PDFSettingData.ignore_print_area = _fsdk.Excel2PDFSettingData_ignore_print_area
| static

A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.

true means to ignore any setting of print area in Excel document.
false means to use the setting of print areas in Excel document.

## ◆ include_doc_props

FoxitPDFSDKPython2.Excel2PDFSettingData.include_doc_props = _fsdk.Excel2PDFSettingData_include_doc_props
| static

A boolean value which indicates whether to include Excel document properties in the converted PDF document.

true means to include Excel document properties in the converted PDF document.
false means not to include Excel document properties in the converted PDF document.